This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 854752 - Screen does not work after screensaver has been on; power management does not work.
Screen does not work after screensaver has been on; power management does not...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 14:27 EDT by Greta Watson
Modified: 2013-02-13 03:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:26:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greta Watson 2012-09-05 14:27:12 EDT
Description of problem:
Two problems have started occuring when I went to a new desktop which has intel graphics:
1.  Power management does not work at all (display brightness, dim display, and screen energy saving).
2.  After the screensaver has been on for a few minutes, and one clicks the mouse to resume, the mouse pointer can be seen moving around the screen, but the screen is quite dark and nothing else can be seen.  It takes restarting the X server (via <ctrl><alt><backspace> and logging in again to get a responsive screen.  Until the screensaver kicks in again...

These problems did not occur on my old desktop, which had nVidia graphics, with the same O/S.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.19.0-3.fc16.x86_64

How reproducible:
1.  Try to use power management:  nothing happens.
2.  Set the screensaver to go on after a couple minutes.  Then wait until it has been on for a few minutes, and click mouse.  Mouse pointer can be seen on dark screen.  Screen does not show anything other than pointer.
  
Actual results:
As described above.

Expected results:
A functioning screen.  Functioning energy saving when power management is used.

Additional info:

Current hardware:
ASUS P8Z77-V motherboard, Intel i7-3770 4-core processor, 16GB Corsair RAM, 128 GB Crucial SSD, ViewSonic monitor model VX2268WM.

Current O/S:
Fedora 16; kernel 3.4.9-2.fc16.x86_64

exerpt from lspci -v:
00:02.0 VGA compatible controller: Intel Corporation Device 0162 (rev 09) (prog-
if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Device 84ca
        Flags: bus master, fast devsel, latency 0, IRQ 54
        Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at f000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915
        Kernel modules: i915
Comment 1 Greta Watson 2012-09-05 21:53:47 EDT
There seems to be a bit of life in Power Management.  If, in KDE, one goes to System Settings --> Power Management and sets Screen Energy Saving to "set off after" "n" minutes, it powers off after twice that long.  After "n" minutes, the screen blanks for a second.  After another "n" minutes, it blanks again, stays blanked, and puts the monitor in energy saving mode.

The workaround appears to be to set the number to half of what one really wants, and to keep the screen saver turned off.
Comment 2 Greta Watson 2012-09-11 17:51:18 EDT
After three days, Power Management changed.  No longer do I get the blank screen for a second after "n" minutes.  It actually does what it is supposed to do--after "n" minutes, the screen blanks and the monitor goes into energy saving mode.  Why, after three days, did this fix itself?  Will the problem recur?

Sadly, the other problem has not changed.  After the screensaver starts, the screen never comes back to normal.
Comment 3 Greta Watson 2012-09-21 23:54:04 EDT
Upgraded to Fedora 17, where Power Management and Screen Savers seem to work.
Comment 4 Greta Watson 2012-09-22 11:42:03 EDT
On the desktop, in Fedora 17, the screen saver works.  So does "screen energy saving" in Power Management.  However, "suspend session" does not.  The only way I can suspend my machine is to press the sleep button on the keyboard.
Comment 5 Greta Watson 2012-10-01 20:52:50 EDT
Today I took another look at some of my settings in KDE's System Settings.  When I got to Power Management, I saw a blank box that I had overlooked before, to the right of the time in the Suspend Session section.  When I clicked on it and selected sleep, it did go to sleep after the set amount of minutes.

Since I do not plan to revert to Fedora 16, and since there aren't a whole lot of people that seem to be interested in the screen problem in Fedora 16, it would not bother me if this were not fixed in Fedora 16.
Comment 6 Thomas Spura 2012-10-03 05:59:03 EDT
Reassigning to xorg-x11-drv-intel as 0ad doesn't play a role here and it was assigned to it by accident.
Comment 7 Fedora End Of Life 2013-01-16 05:07:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 03:26:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.